MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022880Community[OCCT] OCCT:Visualizationpublic2011-12-27 17:352012-04-02 18:06
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022880: Another probable bug in Opengl_togl_begin_layer_mode.cxx
DescriptionPost from the Forum(Massimo Del Fedele) - http://www.opencascade.org/org/forum/thread_22426/. [^]

"/*----------------------------------------------------------------------*/
void EXPORT
call_togl_text2d ( char *s,
float x,
float y,
float height )
{

height parameter is not used in function's body... so text height is not set on call.

Max"

Accepted by SAN as a bug.
SAN: I confirm that the role of "height" argument in call_togl_text2d() and call_togl_textsize2d() looks really unclear now. In general the way how text height is managed during text rendering in a 2D layer should be revised.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0022819closedbugmaster Open CASCADE Redesign of OpenGl driver 
related to 0022879closedbugmaster Community Possible bug in Opengl_togl_begin_layer_mode.cxx 
has duplicate 0006933closedbugmaster Open CASCADE Two text with different sizes is not displayed in Visual3d_Layer on Linux and SunOS. 

-  Notes
(0019398)
abv (manager)
2012-02-06 08:16

To be processed after integration of 0022819
(0019753)
apl (developer)
2012-02-22 20:16

Dear Bugmaster,

The reported problem with text height no longer exists in updated OpenGl_GraphicDriver.

The test command for creating the test script to check the overlay text height is implemented with fix for issue 0022879.

- Issue History
Date Modified Username Field Change
2011-12-27 17:35 szy New Issue
2011-12-27 17:35 szy Assigned To => san
2011-12-27 17:36 szy Description Updated View Revisions
2012-02-06 08:15 abv Relationship added parent of 0022819
2012-02-06 08:16 abv Note Added: 0019398
2012-02-06 08:26 abv Relationship deleted parent of 0022819
2012-02-06 08:27 abv Relationship added related to 0022819
2012-02-21 12:10 san Assigned To san => apl
2012-02-21 12:10 san Status new => assigned
2012-02-22 15:35 san Relationship added related to 0006933
2012-02-22 20:16 apl Note Added: 0019753
2012-02-22 20:16 apl Assigned To apl => bugmaster
2012-02-22 20:16 apl Status assigned => resolved
2012-02-22 20:27 apl Status resolved => reviewed
2012-02-22 20:28 apl Relationship added related to 0022879
2012-02-23 19:09 san Relationship deleted related to 0006933
2012-02-23 19:10 san Relationship added has duplicate 0006933
2012-04-02 18:06 bugmaster Status reviewed => verified
2012-04-02 18:06 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker